# Bot template

This sample bot template, that helps you to create fast and async (non-blocking) bot for telegram.

#### Benefits
This project already has some configured features for you:
* auto-deploy
* migrations
* docker
* auto-reload  

### Requirements
* make
* docker


### AutoDeploy
If you do not want gitlab autodeploy for this project, remove these files:
* ./.gitlab-ci.yml
* ./systemd (folder)
* ./deploy.sh

##### To configure autodeploy:
* In your gitlab project add "`BOT_TOKEN`" CI\CD variable;
* in ./systemd/bot.service change "`Description`", "`User`" and "`WorkingDirectory`".
* in ./deploy.sh Change "`<YOU>`" to your email.

### Run and preparations
Change "`TELEGRAM_BOT_TOKEN`" in ./docker-compose.yml.

To run bot you need to enter the command "`make run`"

For migrations: "`make migrations migrate`" (After bot already running).

If you want to enter psql in docker simply execute "`make psql`" (After the bot is running)

To stop the bot enter "`make clean`", and if you want to purge all PostgreSQL data enter "`make rm`".