from aiogram.types import Message, ParseMode

from src.settings import settings
from src.utils.decorators import (
    bot_action)


@bot_action(r'bot( help)?$')
async def overall_help(message: Message, state=None):
    await message.reply(
        '```\n'
        'Some useful info.\n\n'
        '```',
        parse_mode=ParseMode.MARKDOWN
    )


@bot_action(trigger_str='bot toggle debug')
async def debug_mode_toggle(message: Message, state=None):
    if settings.app_mode != 'dev':
        await message.reply('Debug mode is unavailable in production.')
        return
    if settings.debug_mode:
        settings.debug_mode = False
        await message.reply('Leaving debug mode')
    else:
        settings.debug_mode = True
        await message.reply('Entering debug mode')
