import logging

from aiogram.types import Message, ParseMode

from src.settings import settings

logger = logging.getLogger(__name__)


async def debug_message(message: Message, text: str):
    """
    Show to users in chat some useful debug info
    if debug mode is on.
    To toggle debug mode just call `meme admin toggle debug`

    :param message:
    :param text:
    :return:
    """
    logger.debug(text)
    if settings.debug_mode:
        await message.reply(
            "* Debug message: * \n"
            f"```\n"
            f"{text}"
            "```",
            parse_mode=ParseMode.MARKDOWN
        )
